/*******************************************************************************
File:		Serial.h

 			External definitions, data, and function prototypes

Version:	2.00
*******************************************************************************/

#define FOSC 8000000 					// Clock Speed
#define BAUD 38400							// Desired baud rate
#define MYUBRR (FOSC/16/BAUD-1)		// Resulting UBRR

//#define	SOFTUART						// Define SOFTUART to enable soft UART

// Global definitions
#define TX_BUF_SIZE0		(64)			// Used to create tx buffer 0
#define RX_BUF_SIZE0		(64)			// Used to create rx buffer 0
#define TX_BUF_SIZE1		(2)			// Used to create tx buffer 1
#define RX_BUF_SIZE1		(2)			// Used to create rx buffer 1

// External function prototypes
extern void	SerInit(void);
extern void	SerTxByte(uint8_t chr, uint8_t port);
extern void SerTxString(uint8_t *address, uint8_t uint8_ts, uint8_t port);
extern void SerTxFLASHString(const uint8_t *addr, uint8_t uint8_ts, uint8_t port);
extern void SerTxEEPROMString(uint16_t addr, uint8_t uint8_ts, uint8_t port);
extern void SerProcesses(void);

#ifdef SOFTUART
	extern void	SerSoftUART_TX(void);
	extern void	SerSoftUART_RX(void);
#endif
